=== modified file 'src/Dash/main.cpp'
--- src/Dash/main.cpp	2016-07-19 09:53:25 +0000
+++ src/Dash/main.cpp	2016-10-27 00:05:28 +0000
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2014 Canonical, Ltd.
+ * Copyright (C) 2014-2016 Canonical, Ltd.
  *
  * Authors:
  *  Michael Zanetti <michael.zanetti@canonical.com>
@@ -26,6 +26,9 @@
 #include <QLibrary>
 #include <libintl.h>
 #include <QQmlApplicationEngine>
+#include <QTranslator>
+#include <QLibraryInfo>
+#include <QLocale>
 
 #include <paths.h>
 #include "../qmldebuggerutils.h"
@@ -81,6 +84,11 @@
         }
     }
 
+    QTranslator qtTranslator;
+    if (qtTranslator.load(QLocale(), QStringLiteral("qt_"), qgetenv("SNAP"), QLibraryInfo::location(QLibraryInfo::TranslationsPath))) {
+        application->installTranslator(&qtTranslator);
+    }
+
     bindtextdomain("unity8", translationDirectory().toUtf8().data());
     textdomain("unity8");
 

=== modified file 'src/Panel/Indicators/client/indicatorsclient.cpp'
--- src/Panel/Indicators/client/indicatorsclient.cpp	2015-09-23 15:14:01 +0000
+++ src/Panel/Indicators/client/indicatorsclient.cpp	2016-10-27 00:05:28 +0000
@@ -1,5 +1,5 @@
 /*
- * Copyright 2013 Canonical Ltd.
+ * Copyright 2013-2016 Canonical Ltd.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU Lesser General Public License as published by
@@ -26,6 +26,9 @@
 #include <QQmlContext>
 #include <QQmlEngine>
 #include <QDebug>
+#include <QTranslator>
+#include <QLibraryInfo>
+#include <QLocale>
 
 IndicatorsClient::IndicatorsClient(int &argc, char **argv)
     : QObject(0),
@@ -33,6 +36,11 @@
 {
     m_application = new QApplication(argc, argv);
 
+    QTranslator qtTranslator;
+    if (qtTranslator.load(QLocale(), QStringLiteral("qt_"), qgetenv("SNAP"), QLibraryInfo::location(QLibraryInfo::TranslationsPath))) {
+        m_application->installTranslator(&qtTranslator);
+    }
+
     QStringList args = m_application->arguments();
 
     m_view = new QQuickView;
@@ -53,8 +61,7 @@
         if (geometryArg.size() == 2) {
             m_view->resize(geometryArg.at(0).toInt(), geometryArg.at(1).toInt());
         }
-    }
-    else {
+    } else {
         //Usable size on desktop
         m_view->setMinimumSize(QSize(480, 720));
     }
@@ -69,11 +76,6 @@
     delete m_application;
 }
 
-void IndicatorsClient::setupUI()
-{
-
-}
-
 int IndicatorsClient::run()
 {
     m_view->show();

=== modified file 'src/Panel/Indicators/client/indicatorsclient.h'
--- src/Panel/Indicators/client/indicatorsclient.h	2013-06-07 12:51:16 +0000
+++ src/Panel/Indicators/client/indicatorsclient.h	2016-10-27 00:05:28 +0000
@@ -38,8 +38,6 @@
 private:
     QApplication *m_application;
     QQuickView *m_view;
-
-    void setupUI();
 };
 
 #endif

=== modified file 'src/main.cpp'
--- src/main.cpp	2016-07-19 09:53:25 +0000
+++ src/main.cpp	2016-10-27 00:05:28 +0000
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2012-2015 Canonical, Ltd.
+ * Copyright (C) 2012-2016 Canonical, Ltd.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -19,6 +19,10 @@
 #include "qmldebuggerutils.h"
 #include "UnixSignalHandler.h"
 
+#include <QTranslator>
+#include <QLibraryInfo>
+#include <QLocale>
+
 int main(int argc, const char *argv[])
 {
     qSetMessagePattern("[%{time yyyy-MM-dd:hh:mm:ss.zzz}] %{if-category}%{category}: %{endif}%{message}");
@@ -40,6 +44,11 @@
     });
     signalHandler.setupUnixSignalHandlers();
 
+    QTranslator qtTranslator;
+    if (qtTranslator.load(QLocale(), QStringLiteral("qt_"), qgetenv("SNAP"), QLibraryInfo::location(QLibraryInfo::TranslationsPath))) {
+        application->installTranslator(&qtTranslator);
+    }
+
     int result = application->exec();
 
     application->destroyResources();

